Skip to main content

Deployment

View as Markdown

AppDeployment object

deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobjectGA

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstring

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstring

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstring

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstringGA

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of stringGA

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of objectGA

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestringGA

The name of the environment variable.

Example: VOLUME_URI

valuestringGA

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringGA

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

Get GA

GET /api/2.0/apps/{app_name}/deployments/{deployment_id}

Retrieves information for the app deployment with the supplied name and deployment id.

API scopes: apps

Parameters

app_namestringpath

The name of the app.

deployment_idstringpath

The unique id of the deployment.

Response

Returns the AppDeployment object.

List GA

GET /api/2.0/apps/{app_name}/deployments

Lists all app deployments for the app with the supplied name.

API scopes: apps

Parameters

app_namestringpath

The name of the app.

page_tokenstringquery

Pagination token to go to the next page of apps. Requests first page if absent.

page_sizeint32query

Upper bound for items returned.

Response

Returns a list of AppDeployment objects.

Create GA

POST /api/2.0/apps/{app_name}/deployments

Creates an app deployment for the app with the supplied name.

API scopes: apps

Parameters

app_namestringpath

The name of the app.

Request body

app_deploymentobject

The app deployment configuration.

Show child attributesHide child attributes
deployment_idstring

The unique id of the deployment.

Example: 01ef0bda89f21f08a8351f41e4a9b948

source_code_pathstring

The workspace file system path of the source code used to create the app deployment. This is different from deployment_artifacts.source_code_path, which is the path used by the deployed app. The former refers to the original source code location of the app in the workspace during deployment creation, whereas the latter provides a system generated stable snapshotted source code path used by the deployment.

Example: /Workspace/user@test.com/my_custom_app

git_sourceobject

Git repository to use as the source for the app deployment.

Show child attributesHide child attributes
git_repositoryobject

Git repository configuration. Populated from the app's git_repository configuration.

Show child attributesHide child attributes
urlstring

URL of the Git repository.

Example: https://github.com/databricks/git_app_repo.git

Constraints: <= 300 characters

providerstring

Git provider. Case insensitive. Supported values: gitHub, gitHubEnterprise, bitbucketCloud, bitbucketServer, azureDevOpsServices, gitLab, gitLabEnterpriseEdition, awsCodeCommit.

Example: gitHub

auto_deploybooleanBeta

When true, automatically deploys the app on push events to the branch configured in the app's deployment_source.git_source.

caller_credential_idint64Beta

ID of a personal access token Git credential owned by the caller, used to grant the app's service principal access to this repository.

Example: 93488329053511

branchstringRequired

Git branch to checkout.

Example: main

Constraints: <= 255 characters

tagstringRequired

Git tag to checkout.

Example: v1.0.0

Constraints: <= 255 characters

commitstringRequired

Git commit SHA to checkout.

Example: abc123def456

Constraints: <= 64 characters

source_code_pathstring

Relative path to the app source code within the Git repository. If not specified, the root of the repository is used.

Example: my-app

Constraints: <= 500 characters

resolved_commitstring

The resolved commit SHA that was actually used for the deployment. This is populated by the system after resolving the reference (branch, tag, or commit). If commit is specified directly, this will match commit. If a branch or tag is specified, this contains the commit SHA that the branch or tag pointed to at deployment time.

Example: abc123def456789012345678901234567890abcd

Constraints: <= 64 characters

modestring

The mode of which the deployment will manage the source code.

Values: MODE_UNSPECIFIED, SNAPSHOT, AUTO_SYNC

deployment_artifactsobject

The deployment artifacts for an app.

Show child attributesHide child attributes
source_code_pathstring

The snapshotted workspace file system path of the source code loaded by the deployed app.

Example: /Workspace/Users/9627a015-e892-43f7-9085-eec3892da408/src/01ef1a1ed75d1964b62234a35efa61fc

statusobject

Status and status message of the deployment

Show child attributesHide child attributes
statestring

State of the deployment.

Values: STATE_UNSPECIFIED, SUCCEEDED, FAILED, IN_PROGRESS, CANCELLED

messagestring

Message corresponding with the deployment state.

Example: Deployment is in progress.

create_timestring

The creation time of the deployment. Formatted timestamp in ISO 6801.

creatorstring

The email of the user creates the deployment.

Example: user@test.com

update_timestring

The update time of the deployment. Formatted timestamp in ISO 6801.

commandarray of string

The command with which to run the app. This will override the command specified in the app.yaml file.

Example: python app.py

env_varsarray of object

The environment variables to set in the app runtime environment. This will override the environment variables specified in the app.yaml file.

Show child attributesHide child attributes
namestring

The name of the environment variable.

Example: VOLUME_URI

valuestringRequired

The value for the environment variable.

Example: /Volumes/catalog-name/schema-name/dir-name

value_fromstringRequired

The name of an external <Databricks> resource that contains the value, such as a secret or a database table.

Example: volume

Response

Returns the AppDeployment object.